Debian Bug report logs - #676167
SEGV when libsox-fmt-oss is the only installed audio driver

version graph

Package: sox; Maintainer for sox is Pascal Giard <pascal@debian.org>; Source for sox is src:sox.

Reported by: "Adam M. Costello" <bug.amc+6+@nicemice.net>

Date: Tue, 5 Jun 2012 07:54:13 UTC

Severity: normal

Tags: patch

Merged with 687035

Found in version sox/14.4.0-3

Fixed in version sox/14.4.0-5

Done: Pascal Giard <pascal@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Pascal Giard <pascal@debian.org>:
Bug#676167; Package sox. (Tue, 05 Jun 2012 07:54:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam M. Costello" <bug.amc+6+@nicemice.net>:
New Bug report received and forwarded. Copy sent to Pascal Giard <pascal@debian.org>. (Tue, 05 Jun 2012 07:54:17 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Adam M. Costello" <bug.amc+6+@nicemice.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: SEGV when libsox-fmt-oss is the only installed audio driver
Date: Tue, 5 Jun 2012 07:38:48 +0000
Package: sox
Version: 14.4.0-3
Severity: normal

Dear Maintainer,

Rather than always pass '-t oss' to sox, or set AUDIODRIVER=oss, I
thought I'd just uninstall libsox-fmt-alsa and leave libsox-fmt-oss as
the only installed audio driver.  But this causes sox to SEGV:

$ play foo.wav
Segmentation fault

Curiously, using '-t oss' still works fine:

$ play foo.wav -t oss

foo.wav is little-endian 16-bit stereo 44100 Hz, created by cdparanoia.

Here are the results with -V9:

$ play -V9 foo.wav
play DBUG formats: opening format plugin `lsx_amr_nb_format_fn': library 0x9df9490, entry point 0xb78352d0

play DBUG formats: opening format plugin `lsx_amr_wb_format_fn': library 0x9dfa578, entry point 0xb756fe60

play DBUG formats: opening format plugin `lsx_flac_format_fn': library 0x9dfaa80, entry point 0xb7831150

play DBUG formats: opening format plugin `lsx_gsm_format_fn': library 0x9dfc988, entry point 0xb7423d00

play DBUG formats: opening format plugin `lsx_lpc10_format_fn': library 0x9dfcda0, entry point 0xb782bd10

play DBUG formats: opening format plugin `lsx_oss_format_fn': library 0x9dfd1b8, entry point 0xb741fdb0

play DBUG formats: opening format plugin `lsx_sndfile_format_fn': library 0x9dfd5d0, entry point 0xb741c160

play DBUG formats: opening format plugin `lsx_vorbis_format_fn': library 0x9dfde28, entry point 0xb7209c50

play DBUG formats: opening format plugin `lsx_wavpack_format_fn': library 0x9dfe2e8, entry point 0xb72057d0

play INFO oss: OSS driver only supports bytes and words
play INFO oss: Forcing to signed linear word
Segmentation fault

$ play -V9 foo.wav -t oss
play:      SoX v14.4.0
time:     May  7 2012 03:43:24
issue:    Debian
uname:    Linux luthien 3.0.0-1-686-pae #1 SMP Sat Aug 27 16:41:03 UTC 2011 i686
compiler: gcc 4.6.3
arch:     1248 48 44 L OMP
play DBUG formats: opening format plugin `lsx_amr_nb_format_fn': library 0x9fc75d8, entry point 0xb77a92d0

play DBUG formats: opening format plugin `lsx_amr_wb_format_fn': library 0x9fc86c0, entry point 0xb74e3e60

play DBUG formats: opening format plugin `lsx_flac_format_fn': library 0x9fc8bc8, entry point 0xb77a5150

play DBUG formats: opening format plugin `lsx_gsm_format_fn': library 0x9fcaad0, entry point 0xb7397d00

play DBUG formats: opening format plugin `lsx_lpc10_format_fn': library 0x9fcaee8, entry point 0xb779fd10

play DBUG formats: opening format plugin `lsx_oss_format_fn': library 0x9fcb300, entry point 0xb7393db0

play DBUG formats: opening format plugin `lsx_sndfile_format_fn': library 0x9fcb718, entry point 0xb7390160

play DBUG formats: opening format plugin `lsx_vorbis_format_fn': library 0x9fcbf70, entry point 0xb717dc50

play DBUG formats: opening format plugin `lsx_wavpack_format_fn': library 0x9fcc430, entry point 0xb71797d0

play INFO formats: detected file format type `wav'
play DBUG wav: WAV Chunk fmt 
play DBUG wav: WAV Chunk data
play DBUG wav: Reading Wave file: Microsoft PCM format, 2 channels, 44100 samp/sec
play DBUG wav:         176400 byte/sec, 4 block align, 16 bits/samp, 18987696 data bytes
play DBUG wav:         4746924 Samps/chans

Input File     : 'foo.wav'
Channels       : 2
Sample Rate    : 44100
Precision      : 16-bit
Duration       : 00:01:47.64 = 4746924 samples = 8073 CDDA sectors
File Size      : 19.0M
Bit Rate       : 1.41M
Sample Encoding: 16-bit Signed Integer PCM
Endian Type    : little
Reverse Nibbles: no
Reverse Bits   : no


Output File    : '/dev/dsp' (ossdsp)
Channels       : 2
Sample Rate    : 44100
Precision      : 16-bit
Duration       : 00:01:47.64 = 4746924 samples = 8073 CDDA sectors
Sample Encoding: 16-bit Signed Integer PCM
Endian Type    : little
Reverse Nibbles: no
Reverse Bits   : no

play DBUG effects: sox_add_effect: extending effects table, new size = 8
play INFO sox: effects chain: input        44100Hz  2 channels (multi) 16 bits 00:01:47.64
play INFO sox: effects chain: output       44100Hz  2 channels (multi) 16 bits 00:01:47.64
play DBUG sox: automatically entering interactive mode

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (900, 'testing'), (800, 'stable'), (600, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 3.0.0-1-686-pae (SMP w/2 CPU cores)
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/dash

Versions of packages sox depends on:
ii  libc6            2.13-21         
ii  libgomp1         4.6.1-4         
ii  libgsm1          1.0.13-3        
ii  libltdl7         2.4.2-1         
ii  libmagic1        5.08-1          
ii  libpng12-0       1.2.46-3        
ii  libsox-fmt-base  14.4.0-3        
ii  libsox-fmt-oss   14.4.0-3        
ii  libsox2          14.4.0-3        
ii  zlib1g           1:1.2.3.4.dfsg-3

sox recommends no packages.

Versions of packages sox suggests:
pn  libsox-fmt-all  <none>

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Pascal Giard <pascal@debian.org>:
Bug#676167; Package sox. (Thu, 07 Jun 2012 05:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam M. Costello" <bug.amc+6+@nicemice.net>:
Extra info received and forwarded to list. Copy sent to Pascal Giard <pascal@debian.org>. (Thu, 07 Jun 2012 05:42:03 GMT) Full text and rfc822 format available.

Message #10 received at 676167@bugs.debian.org (full text, mbox):

From: "Adam M. Costello" <bug.amc+6+@nicemice.net>
To: 676167@bugs.debian.org
Subject: Re: Bug#676167: Acknowledgement (SEGV when libsox-fmt-oss is the only installed audio driver)
Date: Thu, 7 Jun 2012 05:38:01 +0000
This may be another clue:  I reinstalled libsox-fmt-alsa, and with
AUDIODRIVER unset, 'play foo.wav' issues a warning (before proceding to
play successfully):

play WARN alsa: can't encode 0-bit Unknown or not applicable

but 'play foo.wav -t alsa' issues no warning.

I'm guessing the absence of -t <driver> affects the order of
initialization, causing a warning for alsa and a SEGV for oss.

AMC




Information forwarded to debian-bugs-dist@lists.debian.org, Pascal Giard <pascal@debian.org>:
Bug#676167; Package sox. (Wed, 13 Jun 2012 21:15:55 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrzej Filip <anfi@onet.eu>:
Extra info received and forwarded to list. Copy sent to Pascal Giard <pascal@debian.org>. (Wed, 13 Jun 2012 21:15:55 GMT) Full text and rfc822 format available.

Message #15 received at 676167@bugs.debian.org (full text, mbox):

From: Andrzej Filip <anfi@onet.eu>
To: 676167@bugs.debian.org
Subject: can't encode 0-bit
Date: Wed, 13 Jun 2012 23:05:40 +0200
About: "play WARN alsa: can't encode 0-bit Unknown or not applicable"

It my case running "alsactl init" [alsa (re)initialization] has seeed to
fix it.




Information forwarded to debian-bugs-dist@lists.debian.org, Pascal Giard <pascal@debian.org>:
Bug#676167; Package sox. (Thu, 23 Aug 2012 21:12:05 GMT) Full text and rfc822 format available.

Message #18 received at 676167@bugs.debian.org (full text, mbox):

From: Bob Proulx <bob@proulx.com>
To: 676167@bugs.debian.org
Subject: WARN alsa: can't encode 0-bit Unknown or not applicable
Date: Thu, 23 Aug 2012 15:01:36 -0600
[Message part 1 (text/plain, inline)]
I was very appreciative of the info in this bug when I hit this
problem too.  I am not getting a segfault but I am seeing the warning
message.

  $ play -q anything.wav
  play WARN alsa: can't encode 0-bit Unknown or not applicable

The suggested workaround of adding "-t alsa" works but shouldn't be
needed.

  $ play -q anything.wav -t alsa

Is there any clue as to the root cause of the problem?

Bob
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Pascal Giard <pascal@debian.org>:
Bug#676167; Package sox. (Thu, 23 Aug 2012 22:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrich Klauer <ulrich@chirlu.de>:
Extra info received and forwarded to list. Copy sent to Pascal Giard <pascal@debian.org>. (Thu, 23 Aug 2012 22:27:09 GMT) Full text and rfc822 format available.

Message #23 received at 676167@bugs.debian.org (full text, mbox):

From: Ulrich Klauer <ulrich@chirlu.de>
To: 676167@bugs.debian.org
Subject: Re: Bug#676167: WARN alsa: can't encode 0-bit Unknown or not applicable
Date: Fri, 24 Aug 2012 00:24:45 +0200
Bob Proulx <bob@proulx.com>:

> Is there any clue as to the root cause of the problem?

Yes. If an audio driver is explicitly specified by the user (via the  
AUDIODRIVER environment variable or the -t option), SoX will use this  
and there's no problem. Otherwise, SoX will try possible drivers in  
this (hard-wired) order: coreaudio (MacOS), pulseaudio, alsa,  
waveaudio, sndio, oss, sunau, ao.

Previously (14.4.0-2), it was only checked whether the relevant format  
driver was available (compiled in, or as a module). But it is very  
much possible that a format, even though present in SoX, isn't  
supported by the environment (OS or userland). This led to bug #664301  
("insists on using pulseaudio even when not available").

14.4.0-3 tries to remedy this by opening a dummy output for each  
format driver, and only choosing this driver if the open succeeded. As  
it seems, though, not all format drivers can handle this dummy open.  
Depending on which options are available, SoX will get down more or  
less far on its list and hit different problems (or none).


Until someone gets around fixing the dummy-open for all drivers, we  
should probably restrict the try-and-open method to pulseaudio.

Ulrich




Information forwarded to debian-bugs-dist@lists.debian.org, Pascal Giard <pascal@debian.org>:
Bug#676167; Package sox. (Thu, 23 Aug 2012 22:39:03 GMT) Full text and rfc822 format available.

Message #26 received at 676167@bugs.debian.org (full text, mbox):

From: Bob Proulx <bob@proulx.com>
To: Ulrich Klauer <ulrich@chirlu.de>, 676167@bugs.debian.org
Subject: Re: Bug#676167: WARN alsa: can't encode 0-bit Unknown or not applicable
Date: Thu, 23 Aug 2012 16:37:15 -0600
Ulrich Klauer wrote:
> Yes. If an audio driver is explicitly specified by the user (via the
> AUDIODRIVER environment variable or the -t option), SoX will use
> this and there's no problem. Otherwise, SoX will try possible
> drivers in this (hard-wired) order: coreaudio (MacOS), pulseaudio,
> alsa, waveaudio, sndio, oss, sunau, ao.

That list seems like a reasonable list.  Although I don't know about
coreaudio it probably doesn't hurt. (shrug)

> Previously (14.4.0-2), it was only checked whether the relevant
> format driver was available (compiled in, or as a module). But it is
> very much possible that a format, even though present in SoX, isn't
> supported by the environment (OS or userland). This led to bug
> #664301 ("insists on using pulseaudio even when not available").

I may also be suffering from Bug#664301 then since I do not have
pulseaudio on my system.  I removed it because it wasn't working
right.

> 14.4.0-3 tries to remedy this by opening a dummy output for each
> format driver, and only choosing this driver if the open succeeded.
> As it seems, though, not all format drivers can handle this dummy
> open. Depending on which options are available, SoX will get down
> more or less far on its list and hit different problems (or none).

Good information.  Thank you for explaining this.

Opening what driver produces the "WARN alsa: can't encode 0-bit
Unknown or not applicable" message?  By the above and my case it must
be either coreaudio or pulseaudio because alsa works fine and I do not
have pulseaudio installed.

> Until someone gets around fixing the dummy-open for all drivers, we
> should probably restrict the try-and-open method to pulseaudio.

Seems reasonable.  Assuming that the dummy open of pulseaudio isn't
the producer of that warning message.

Thanks,
Bob



Information forwarded to debian-bugs-dist@lists.debian.org, Pascal Giard <pascal@debian.org>:
Bug#676167; Package sox. (Fri, 24 Aug 2012 02:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrich Klauer <ulrich@chirlu.de>:
Extra info received and forwarded to list. Copy sent to Pascal Giard <pascal@debian.org>. (Fri, 24 Aug 2012 02:30:03 GMT) Full text and rfc822 format available.

Message #31 received at 676167@bugs.debian.org (full text, mbox):

From: Ulrich Klauer <ulrich@chirlu.de>
To: 676167@bugs.debian.org
Subject: Re: Bug#676167: WARN alsa: can't encode 0-bit Unknown or not applicable
Date: Fri, 24 Aug 2012 04:27:32 +0200
Bob Proulx <bob@proulx.com>:

> Although I don't know about 
> coreaudio it probably doesn't hurt. (shrug)

No, it isn't supposed to be compiled in at all on platforms other than MacOS.

> Opening what driver produces the "WARN alsa: can't encode 0-bit 
> Unknown or not applicable" message?  By the above and my case it must 
> be either coreaudio or pulseaudio because alsa works fine and I do not 
> have pulseaudio installed.

It is alsa, I think. It gives this warning, but is identified as working nonetheless. It'd be interesting to know which driver causes the segfault on platforms without ALSA support; it might be alsa there too, or one of the following.

Ulrich



Information forwarded to debian-bugs-dist@lists.debian.org, Pascal Giard <pascal@debian.org>:
Bug#676167; Package sox. (Fri, 24 Aug 2012 07:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrich Klauer <ulrich@chirlu.de>:
Extra info received and forwarded to list. Copy sent to Pascal Giard <pascal@debian.org>. (Fri, 24 Aug 2012 07:06:03 GMT) Full text and rfc822 format available.

Message #36 received at 676167@bugs.debian.org (full text, mbox):

From: Ulrich Klauer <ulrich@chirlu.de>
To: 676167@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#676167: WARN alsa: can't encode 0-bit Unknown or not applicable
Date: Fri, 24 Aug 2012 09:03:03 +0200
[Message part 1 (text/plain, inline)]
tags 676167 + patch
thanks

> It'd be interesting to know which driver causes the segfault on  
> platforms without ALSA support; it might be alsa there too, or one  
> of the following.

Apparently it is the oss format itself, which passes NULL to fileno().

I've attached a patch to replace the  
01_default_audio_driver_fallback.patch file introduced in 14.4.0-3. It  
restricts using the new try_device() to pulseaudio, where it seems to  
work well and solves the original problem (bug #664301). It's not  
ideal of course, as users of OSS still have to manually uninstall  
libsox-fmt-alsa or set AUDIODRIVER.

Pascal, would you consider replacing the original patch with this one?

Ulrich
[01_default_audio_driver_fallback.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from Ulrich Klauer <ulrich@chirlu.de> to control@bugs.debian.org. (Fri, 24 Aug 2012 07:06:05 GMT) Full text and rfc822 format available.

Merged 676167 687035 Request was from Ulrich Klauer <ulrich@chirlu.de> to control@bugs.debian.org. (Sun, 09 Sep 2012 23:57:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Pascal Giard <pascal@debian.org>:
Bug#676167; Package sox. (Fri, 18 Jan 2013 14:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pascal Giard <evilynux@gmail.com>:
Extra info received and forwarded to list. Copy sent to Pascal Giard <pascal@debian.org>. (Fri, 18 Jan 2013 14:57:03 GMT) Full text and rfc822 format available.

Message #45 received at 676167@bugs.debian.org (full text, mbox):

From: Pascal Giard <evilynux@gmail.com>
To: Ulrich Klauer <ulrich@chirlu.de>, 676167@bugs.debian.org
Subject: Re: Bug#676167: WARN alsa: can't encode 0-bit Unknown or not applicable
Date: Fri, 18 Jan 2013 09:53:11 -0500
On Fri, Aug 24, 2012 at 3:03 AM, Ulrich Klauer <ulrich@chirlu.de> wrote:
> tags 676167 + patch
> thanks
>
>
>> It'd be interesting to know which driver causes the segfault on platforms
>> without ALSA support; it might be alsa there too, or one of the following.
>
>
> Apparently it is the oss format itself, which passes NULL to fileno().
>
> I've attached a patch to replace the 01_default_audio_driver_fallback.patch
> file introduced in 14.4.0-3. It restricts using the new try_device() to
> pulseaudio, where it seems to work well and solves the original problem (bug
> #664301). It's not ideal of course, as users of OSS still have to manually
> uninstall libsox-fmt-alsa or set AUDIODRIVER.
>
> Pascal, would you consider replacing the original patch with this one?

Wow, somehow that one went totally fell through.

I will surely do soon (hopefully this evening).

I'm currently working on moving to format 3.0 quilt but I'm facing few
issues still (will post about this on the upstream ML).
I'll probably just push a 14.4.0-5 with it (14.4.0-4 went to experimental).

Cheers,

-Pascal
--
Homepage (http://organact.mine.nu)
Debian GNU/Linux (http://www.debian.org)
COMunité/LACIME: École de technologie supérieure (http://www.comunite.ca)
Integrated Microsystems Laboratory: McGill (http://www.iml.ece.mcgill.ca)



Information forwarded to debian-bugs-dist@lists.debian.org, Pascal Giard <pascal@debian.org>:
Bug#676167; Package sox. (Fri, 18 Jan 2013 21:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrich Klauer <ulrich@chirlu.de>:
Extra info received and forwarded to list. Copy sent to Pascal Giard <pascal@debian.org>. (Fri, 18 Jan 2013 21:33:05 GMT) Full text and rfc822 format available.

Message #50 received at 676167@bugs.debian.org (full text, mbox):

From: Ulrich Klauer <ulrich@chirlu.de>
To: 676167@bugs.debian.org
Subject: Re: Bug#676167: WARN alsa: can't encode 0-bit Unknown or not applicable
Date: Fri, 18 Jan 2013 22:27:55 +0100
Pascal Giard <evilynux@gmail.com>:

> I'll probably just push a 14.4.0-5 with it (14.4.0-4 went to 
> experimental).

The change is also in 14.4.1 (which will be out in two weeks' time), so a 14.4.0-5 isn't really necessary. Won't hurt either, of course.

Ulrich



Reply sent to Pascal Giard <pascal@debian.org>:
You have taken responsibility. (Sat, 19 Jan 2013 05:51:06 GMT) Full text and rfc822 format available.

Notification sent to "Adam M. Costello" <bug.amc+6+@nicemice.net>:
Bug acknowledged by developer. (Sat, 19 Jan 2013 05:51:06 GMT) Full text and rfc822 format available.

Message #55 received at 676167-close@bugs.debian.org (full text, mbox):

From: Pascal Giard <pascal@debian.org>
To: 676167-close@bugs.debian.org
Subject: Bug#676167: fixed in sox 14.4.0-5
Date: Sat, 19 Jan 2013 05:47:43 +0000
Source: sox
Source-Version: 14.4.0-5

We believe that the bug you reported is fixed in the latest version of
sox, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 676167@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Pascal Giard <pascal@debian.org> (supplier of updated sox package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 18 Jan 2013 22:29:15 -0500
Source: sox
Binary: sox libsox2 libsox-fmt-base libsox-fmt-alsa libsox-fmt-ao libsox-fmt-mp3 libsox-fmt-oss libsox-fmt-pulse libsox-fmt-all libsox-dev
Architecture: source amd64
Version: 14.4.0-5
Distribution: unstable
Urgency: low
Maintainer: Pascal Giard <pascal@debian.org>
Changed-By: Pascal Giard <pascal@debian.org>
Description: 
 libsox-dev - Development files for the SoX library
 libsox-fmt-all - All SoX format libraries
 libsox-fmt-alsa - SoX alsa format I/O library
 libsox-fmt-ao - SoX Libao format I/O library
 libsox-fmt-base - Minimal set of SoX format libraries
 libsox-fmt-mp3 - SoX MP2 and MP3 format library
 libsox-fmt-oss - SoX OSS format I/O library
 libsox-fmt-pulse - SoX PulseAudio format I/O library
 libsox2    - SoX library of audio effects and processing
 sox        - Swiss army knife of sound processing
Closes: 676167
Changes: 
 sox (14.4.0-5) unstable; urgency=low
 .
   * [debian/patches/01_default_audio_driver_fallback.patch]:
     - Updated to only use try_device() on pulseaudio. Thanks to
       Ulrich Klauer <ulrich@chirlu.de> for the patch (closes: #676167).
Checksums-Sha1: 
 07a3d7de760aff6ef8ebd6caa4027575614fd0fd 1816 sox_14.4.0-5.dsc
 f9f4850fdbda9d1c247a5bd5e92506633c68bf17 13211 sox_14.4.0-5.diff.gz
 13a05b9676d805b9f64a7353d268cabd4b7784ac 140328 sox_14.4.0-5_amd64.deb
 35bef994d5a73ae92edbe7834dfe2b5c3d397022 303294 libsox2_14.4.0-5_amd64.deb
 fccf07f5f3ed34e1c21d51e464f317e779db4feb 73464 libsox-fmt-base_14.4.0-5_amd64.deb
 fac476809760ee033563b7cb60446d5d2ab31f9a 50752 libsox-fmt-alsa_14.4.0-5_amd64.deb
 51132d383e87a619f784dc97189e5deccd3cdf75 46976 libsox-fmt-ao_14.4.0-5_amd64.deb
 adc9e5273a3123b64e61fb62717d2e0c82b0143e 57180 libsox-fmt-mp3_14.4.0-5_amd64.deb
 14b6782e393151c0276bd53255904a24fd44e5d8 47478 libsox-fmt-oss_14.4.0-5_amd64.deb
 d4e492813e4714867c864a81e8bcba3df0eba458 46866 libsox-fmt-pulse_14.4.0-5_amd64.deb
 595b834e58bd65e27242f8e7bfc6b522e733ea1a 43836 libsox-fmt-all_14.4.0-5_amd64.deb
 6e7f0046a6f9234b7e0bd44e7741b92d582c2bac 469352 libsox-dev_14.4.0-5_amd64.deb
Checksums-Sha256: 
 fa0989824bdc20973ec538c95b7d477779463c71887ca520b0895f9ef74c84a3 1816 sox_14.4.0-5.dsc
 fcf2b08d1b9917fb27b9474568501ac6fa52cf804b49785090024159f310add3 13211 sox_14.4.0-5.diff.gz
 c0208c326c7083ed0b1cc5e443179e1288e5eab3bd1e148a9f6dac60cc9a0295 140328 sox_14.4.0-5_amd64.deb
 2e59acd737ddb972bb0f180459743e893fbe1d068f66767c8e056502bfa418f4 303294 libsox2_14.4.0-5_amd64.deb
 29043b01ceb71ea4c4a0dcf5cc5f9dd7bd626ae99140b911e116516e09af0b05 73464 libsox-fmt-base_14.4.0-5_amd64.deb
 468662cc96e0c8b62126876db6b57fd6b43fe4afaca7948e427d20a54eb083d4 50752 libsox-fmt-alsa_14.4.0-5_amd64.deb
 282ed4cb1e5d3b40b53e3c2886c95089685760b7f20c9bf77c17223756c4e796 46976 libsox-fmt-ao_14.4.0-5_amd64.deb
 c4907575fde584d9b8a38885b63300d0d429cee41dc8411711df181acfefe127 57180 libsox-fmt-mp3_14.4.0-5_amd64.deb
 0e90626b24d6e84a85db441dd572b09dfc2241fd2ea7dae5241f28570297647d 47478 libsox-fmt-oss_14.4.0-5_amd64.deb
 a6bf2348867c3395e130cc54aaf553401bb89f7076e4e895f2d72835d75686a0 46866 libsox-fmt-pulse_14.4.0-5_amd64.deb
 4e3894a5ca3331bf87dbd0b64c7542424b1a39cf1bf6b7aa2fbabbe8b4530b93 43836 libsox-fmt-all_14.4.0-5_amd64.deb
 00c1acab3dc638dfcfc9ed7089c7c1ce273e6bac820006b896a3ab6d31114ac5 469352 libsox-dev_14.4.0-5_amd64.deb
Files: 
 0883a726830a6eff6e86d7907c04331b 1816 sound optional sox_14.4.0-5.dsc
 d770f8f5d7b24dc911b1f3675ed60cde 13211 sound optional sox_14.4.0-5.diff.gz
 3302b0cb9f763febb788895dafa64d4d 140328 sound optional sox_14.4.0-5_amd64.deb
 8d57a4de3135f1d28a488b221c40990a 303294 sound optional libsox2_14.4.0-5_amd64.deb
 c3a64594fbc4a59b6a776b1e76f15522 73464 sound optional libsox-fmt-base_14.4.0-5_amd64.deb
 998ad4651f1d892a422118258d2e4d0d 50752 sound optional libsox-fmt-alsa_14.4.0-5_amd64.deb
 93ffed6fd25d4741eddf2db7acceb52c 46976 sound optional libsox-fmt-ao_14.4.0-5_amd64.deb
 1da37c6f269ade8237aa65b58b0ecc5a 57180 sound optional libsox-fmt-mp3_14.4.0-5_amd64.deb
 3404ff41713b0ac0b12c4b1eda987f76 47478 sound optional libsox-fmt-oss_14.4.0-5_amd64.deb
 ce3ab090d940f48f0ded2f4ecd7f0a34 46866 sound optional libsox-fmt-pulse_14.4.0-5_amd64.deb
 7f3dfb3a7f38fe2772995e58932246a0 43836 sound optional libsox-fmt-all_14.4.0-5_amd64.deb
 93c1a03396452f0d5498fa83e6e62dee 469352 libdevel optional libsox-dev_14.4.0-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlD6MS0ACgkQ1Lfd97FsypXDBQCcDUH2oUKhGeeEdcN/F3VIhTkm
C+EAoKkQU07drMjWMn2J/0/8k764wJO2
=48MY
-----END PGP SIGNATURE-----




Reply sent to Pascal Giard <pascal@debian.org>:
You have taken responsibility. (Sat, 19 Jan 2013 05:51:07 GMT) Full text and rfc822 format available.

Notification sent to Torbjörn Andersson <eriknospam@telia.com>:
Bug acknowledged by developer. (Sat, 19 Jan 2013 05:51:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 06 May 2013 07:28:57 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Ulrich Klauer <ulrich@chirlu.de> to control@bugs.debian.org. (Mon, 06 May 2013 15:09:10 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 04 Jun 2013 07:28:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:10:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.